Commit b6d2cd12 authored by Steven Jones's avatar Steven Jones

Make the autoloader PHP 5.2 compatible.

parent c3afcffe
......@@ -9,7 +9,8 @@
* file that was distributed with this source code.
*/
namespace Symfony\Component\ClassLoader;
// Tiny hack to make the code 5.2 compliant.
// namespace Symfony\Component\ClassLoader;
/**
* UniversalClassLoader implements a "universal" autoloader for PHP 5.3.
......
......@@ -25,7 +25,7 @@ function provision_autoload() {
if (is_null($instance)) {
require_once(__DIR__ . '/Symfony/Component/ClassLoader/UniversalClassLoader.php');
$instance = new \Symfony\Component\ClassLoader\UniversalClassLoader();
$instance = new UniversalClassLoader();
// Activate the autoloader.
$instance->register();
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment